Page MenuHomePhabricator

Special:NewItem - fields direction should be defined according to the language
Closed, ResolvedPublic

Description

Currently fields direction is according to the language (e.g wgLanguageCode), but it should be according to the language user selected in the Language field.

How to reproduce:

  1. Enter to Special:NewItem: https://www.wikidata.org/wiki/Special:NewItem
  2. In Language select Arabic or Hebrew
  3. Expected: Label / Description etc should be RTL direction

Actual: they are LTR

Event Timeline

eranroz created this task.May 23 2018, 9:04 PM
Restricted Application added a project: I18n. · View Herald TranscriptMay 23 2018, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 434801 had a related patch set uploaded (by Eranroz; owner: Eranroz):
[mediawiki/extensions/Wikibase@master] Set direction based on the language

https://gerrit.wikimedia.org/r/434801

Change 434801 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Set direction based on the language

https://gerrit.wikimedia.org/r/434801

Vvjjkkii renamed this task from Special:NewItem - fields direction should be defined according to the language to 4ecaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii removed eranroz as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 4ecaaaaaaa to Special:NewItem - fields direction should be defined according to the language.Jul 2 2018, 3:54 PM
CommunityTechBot assigned this task to eranroz.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
eranroz closed this task as Resolved.Tue, Oct 27, 3:37 PM